#lang racket
(require
 ffi/unsafe
 "base.rkt")

(define libiup-scintilla
  (case (system-type 'os)
    [(windows)
     (ffi-lib "iup_scintilla")]
    [else
     (ffi-lib "libiup_scintilla")]))

;; Scintilla text editor control

(define scintilla
  (make-constructor-procedure
   (get-ffi-obj
    "IupScintilla" libiup-scintilla
    (_fun -> [handle : _ihandle]))))

;; Library setup

(letrec ([open
          (get-ffi-obj
           "IupScintillaOpen" libiup-scintilla
           (_fun -> _void))])
  (open))

(provide
 scintilla)
