#lang racket
(require
 ffi/unsafe
 "base.rkt")

(define libiup-web
  (case (system-type 'os)
    [(windows)
     (ffi-lib "iupweb")]
    [else
     (ffi-lib "libiupweb")]))

;; Web browser control

(define web-browser
  (make-constructor-procedure
   (get-ffi-obj
    "IupWebBrowser" libiup-web
    (_fun -> [handle : _ihandle]))))

;; Library setup

(letrec ([open
          (get-ffi-obj
           "IupWebBrowserOpen" libiup-web
           (_fun -> _void))])
  (open))

(provide
 web-browser)
